API reference
Resend a succeeded or failed delivery, preserving its attempt history
Source: OpenAPI (openapi/openapi.yaml).
curl -X POST "https://api.sendtier.example/webhook-deliveries/string/resend" \ -H "Authorization: Bearer st_live_REPLACE_ME"{ "id": "string", "webhook_id": "string", "event_id": "string", "event_type": "email.queued", "status": "pending", "attempts": 0, "next_attempt_at": "2019-08-24T14:15:22Z", "last_status": 0, "last_error": "string", "created_at": "2019-08-24T14:15:22Z"}POST
header
AuthorizationBearer <token>API key: st_live_... or st_test_...
delivery_id*stringIdempotency-Key?stringRepeated POST with the same key within 24 h returns the first response.
Length
length <= 255Delivery is pending and due now.
application/json- response
id*stringwebhook_id*stringevent_id*stringevent_type*EventTypeValue in
"email.queued""email.sent""email.delayed""email.delivered""email.bounced""email.complained""email.opened""email.clicked""email.failed"status*WebhookDeliveryStatusValue in
"pending""succeeded""failed"attempts*integerFormat
int32next_attempt_at*stringFormat
date-timelast_status?integerFormat
int32last_error?stringcreated_at*stringFormat
date-time